body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    height: 100vh;
    background: -webkit-linear-gradient(0deg, #858228 0%, #affffe 50%, #7c823f 100%);
}

.live-code {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;

}

#editor-left {
    position: absolute;
    left: 0;
    width: 50%;
    height: 100%;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.code-section {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    margin-bottom: 10px;
    font-size: 25px;
    font-weight: 700;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: #fff;
}

.code {
    width: 80%;
    height: 150px;
    padding: 10px;
    font-size: 16px;
    font-family: monospace;
    border: 1px solid #101010;
    outline: none;
}


.editor_output {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 50%;
    position: absolute;
    right: 0;
}

#output {
    position: relative;
    margin: 10px;
    padding: 10px;
    font-size: 16px;
    font-family: monospace;
    border-left: 1px solid #ccc;
    border-top: 1px solid #ccc;
    height: 100%;

}

.code-sectionout {
    height: 100%;
    width: 100%;
    font-size: 35px;
    color: #fff;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 900;
}

#preview {
    width: 100%;
    height: 100%;
    outline: none;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

#menu {
    position: fixed;
    bottom: 0;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
}

#runButton,
#clearButton,
#downloadButton {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 30px;
    padding: 0.1em;
    border: 0;
    background-color: #3654ff;
    border-radius: 1.25em;
    transition: all 0.2s linear;
}

#runButton:hover,
#clearButton:hover,
#downloadButton:hover {
    background-color: #2d4edb;
    cursor: pointer;
}

#runButton svg,
#clearButton svg,
#downloadButton svg {
    width: 1.4em;
    height: 1.4em;
    /* توحيد ارتفاع الأيقونات */
    transition: all 0.6s ease;
}

#runButton:hover svg {
    transform: scale(1.5);
}

#clearButton:hover svg {
    transform: translateY(-5px);
}

#downloadButton:hover svg {
    transform: translateY(5px);
}

#error {
    color: red;
}

/* استجابة للشاشات الصغيرة */
@media (max-width: 768px) {

    #editor,
    .editor_output {
        width: 100%;
        height: auto;
        position: static;
    }

    .code {
        width: 100%;
    }

    #output {
        height: auto;
        padding: 20px;
    }
}